import java.sql.*;
public class BatchUpdate {

	public static void main(String[] args) {
		
		 try{
			  Connection connection = null;
		      Class.forName("com.mysql.jdbc.Driver");
		
		      connection = DriverManager.getConnection("jdbc:mysql://localhost:3306/roseindia_jdbc_tutorial","root","root");
		      try{		    	  
		    	  	// Create statement object  
		    	  	Statement stmt = connection.createStatement();		        
		    	     
		    	  	// Set auto-commit to false
			        connection.setAutoCommit(false);
			        
			         // Update query 
			        String updatequery1 = "UPDATE user SET user_name = 'Ravi' WHERE user_id = 1";			        
				     
			        stmt.addBatch(updatequery1);
			        
			        // Update query
			        String updatequery2 = "UPDATE user SET user_name = 'Brijesh' WHERE user_id = 2";			        
				     
			        stmt.addBatch(updatequery2);
			        
			        stmt.executeBatch();
			        
			        System.out.println("Batch Update Processing is done successfully." );
	
			       // connection commited
			        connection.commit(); 
		      }
		      catch (SQLException s){
		        System.out.println("SQL Exception " + s);
		      }
		    }
		    catch (Exception e){
		      e.printStackTrace();
		    }	
      }

	}